locale-gen(8)

NAME
locale-gen - generate locales on the fly

DESCRIPTION
The locale-gen utility is used to manage locales on your system. Often times it merely generates a user configurable list of locales, but it can be used to generate a few locales on the fly as needed. Normally all locales would be generated at build time, but this leads to waste of disk and time as many users really just want a handful on their system.

OPTIONS

-a, --ask
    Ask before generating each locale

-A, --all
    Generate all possible locales

-c, --config <config>
    Use specified config file rather than default /etc/locale.gen

-d, --destdir <dir>
    Look for locale definitions and store generated locale data in the specified directory

-G, --generate <locale>
    Only generate the specified locale (implies --keep --update)

-h, --help
    Show the help output (imagine that)

-j, --jobs <num>
    Generate the specified number of locales in parallel

-k, --keep
    Keep all existing locales even if they are not in the config file

-l, --list
    List all the locales that we think should exist according to the config

-q, --quiet
    Only spit out errors

-u, --update
    Only generate locales that do not already exist (normally existing locales are regenerated)

-V, --version
    Report the program version

--  To pass custom options directly to the localedef utility, end the locale-gen option list with -- and then everything after that will be passed on through unmolested (the options -c are passed by default)

AUTHORS
Mike Frysinger <vapier@gentoo.org>

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/

FILES
/etc/locale.gen - locale list

SEE ALSO
locale(1), localedef(1), locale(5), locale.gen(5), locale(7)